ChangeSet 1.1722.83.1, 2004/06/02 13:18:15-07:00, stern@rowland.harvard.edu

[PATCH] USB: unusual_devs.h update

On Mon, 3 May 2004, zcat wrote:

> I am trying to get my camera going as a webcam (concord EyeQ Duo in PC
> mode, not HDD mode) with the 2.6.4 kernel using the se401 driver
> (compiled in).. It logged the following message, which doesn't mean much
> to me so I have no idea if it's useful information or not;
>
> May  3 21:08:11 mrsnorris kernel: usb 1-1: new full speed USB device
> using address 2
> May  3 21:08:16 mrsnorris kernel: usb 1-1: control timeout on ep0out
> May  3 21:08:16 mrsnorris kernel: usb-storage: This device
> (0595,4343,0100 S 00 P 00) has an unneeded Protocol entry in unusual_devs.h
> May  3 21:08:16 mrsnorris kernel:    Please send a copy of this message
> to <linux-usb-devel@lists.sourceforge.net>

This fixes the "unneeded Protocol entry" message.  We never solved the
control timeout problem.

Alan Stern


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Jun 18 11:07:36 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri Jun 18 11:07:36 2004
@@ -359,7 +359,7 @@
 UNUSUAL_DEV(  0x0595, 0x4343, 0x0000, 0x2210,
 		"Fujifilm",
 		"Digital Camera EX-20 DSC",
-		US_SC_8070, US_PR_CBI, NULL, 0 ),
+		US_SC_8070, US_PR_DEVICE, NULL, 0 ),
 
 UNUSUAL_DEV(  0x059f, 0xa601, 0x0200, 0x0200, 
 		"LaCie",
